## gate.gui
Class DocumentEditor.NewAnnotationAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--gate.gui.DocumentEditor.NewAnnotationAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  DocumentEditor

class DocumentEditor.NewAnnotationAction
extends AbstractAction

The action that is fired when the user wants to create a new annotation. It will build a dialog containing all the valid annotation editors.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.AbstractAction
`AbstractAction.ArrayTable`

Field Summary
`(package private) Long` `endOffset`
`(package private) AnnotationSet` `set`
`(package private) Long` `startOffset`
`(package private) String` `type`

Fields inherited from class javax.swing.AbstractAction
`arrayTable, changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`DocumentEditor.NewAnnotationAction(AnnotationSet set, Long startOffset, Long endOffset)`
`DocumentEditor.NewAnnotationAction(AnnotationSet set, String type, Long startOffset, Long endOffset)`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, isEnabled, putValue, readObject, removePropertyChangeListener, setEnabled, writeObject`

Methods inherited from class java.lang.Object
`<clinit>, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### set

    AnnotationSet set

### startOffset

    Long startOffset

### endOffset

    Long endOffset

### type

    String type

Constructor Detail

### DocumentEditor.NewAnnotationAction

    public DocumentEditor.NewAnnotationAction(AnnotationSet set,
                                              Long startOffset,
                                              Long endOffset)

### DocumentEditor.NewAnnotationAction

    public DocumentEditor.NewAnnotationAction(AnnotationSet set,
                                              String type,
                                              Long startOffset,
                                              Long endOffset)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Overrides:
    `actionPerformed` in class `AbstractAction`